Skip to main content
POST
/
commerce
/
catalog
/
storefront
/
products
/
locationinventory
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "bopisFulfillmentDate": "2023-11-07T05:31:56Z",
      "bopisProcessingTimeHours": 123,
      "futureInventories": [
        {
          "allocated": 123,
          "available": 123,
          "bopisProcessingTimeDate": 123,
          "bopisProcessingTimeHours": 123,
          "createDate": "2023-11-07T05:31:56Z",
          "deliveryDate": "2023-11-07T05:31:56Z",
          "futureInventoryID": 123,
          "onhand": 123,
          "pending": 123,
          "sthFulfillmentDate": "2023-11-07T05:31:56Z",
          "sthProcessingTimeHours": 123,
          "transferFulfillmentDate": "2023-11-07T05:31:56Z",
          "transferProcessingTimeHours": 123
        }
      ],
      "locationCode": "<string>",
      "mfgPartNumber": "<string>",
      "productCode": "<string>",
      "segmentedQuantities": [
        {
          "bopisFulfillmentDate": "2023-11-07T05:31:56Z",
          "bopisProcessingTimeHours": 123,
          "futureInventory": [
            {
              "allocated": 123,
              "available": 123,
              "bopisProcessingTimeDate": 123,
              "bopisProcessingTimeHours": 123,
              "createDate": "2023-11-07T05:31:56Z",
              "deliveryDate": "2023-11-07T05:31:56Z",
              "futureInventoryID": 123,
              "onhand": 123,
              "pending": 123,
              "sthFulfillmentDate": "2023-11-07T05:31:56Z",
              "sthProcessingTimeHours": 123,
              "transferFulfillmentDate": "2023-11-07T05:31:56Z",
              "transferProcessingTimeHours": 123
            }
          ],
          "isAvailable": true,
          "quantity": 123,
          "sthFulfillmentDate": "2023-11-07T05:31:56Z",
          "sthProcessingTimeHours": 123,
          "tags": [
            {
              "category": "<string>",
              "tag": "<string>"
            }
          ],
          "transferFulfillmentDate": "2023-11-07T05:31:56Z",
          "transferProcessingTimeHours": 123
        }
      ],
      "sku": "<string>",
      "softStockAvailable": 123,
      "sthFulfillmentDate": "2023-11-07T05:31:56Z",
      "sthProcessingTimeHours": 123,
      "stockAvailable": 123,
      "transferFulfillmentDate": "2023-11-07T05:31:56Z",
      "transferProcessingTimeHours": 123
    }
  ],
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

The inventory for a product at a specific Location

forceDefaultsForUnspecifiedTagCategories
boolean
deprecated
granularInventoryFields
object

Inventory for a product at a specific location

includeFutureInventory
boolean
includeSegmentedInventory
boolean
inventoryTags
object[] | null
locationCodes
string[] | null
productCodes
string[] | null

Response

Success

items
object[] | null
totalCount
integer<int32>